#!/bin/sh
# ---------------------------------------------------------------------------
# JOnAS: Java(TM) Open Application Server
# Copyright (C) 1999-2008 Bull S.A.S.
# Contact: jonas-team@objectweb.org
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
# USA
#
# Initial developer(s): ____________________________________.
# Contributor(s):  Adriana Danes :
#                    - Change /config en /conf
#                    - Use JONAS_BASE
#
# ---------------------------------------------------------------------------
# $Id$
# ---------------------------------------------------------------------------

if [ ! -d $JONAS_ROOT/ejbjars ]
then
    echo "JONAS_ROOT must be set"
    exit 1
fi
. $JONAS_ROOT/bin/unix/setenv

# add ow_jonas_bootstrap.jar to the classpath for the bootstrap class
JONAS_LIB=$JONAS_ROOT/lib
CLASSPATH=$JONAS_ROOT/lib/common/ow_jonas_bootstrap.jar$SPS$CLASSPATH

# JAVA_OPTS may be already partially initialized
JAVA_OPTS="$JAVA_OPTS \
    -Dinstall.root=$JONAS_ROOT \
    -Djonas.base=$JONAS_BASE \
    -Djava.security.policy=$JONAS_ROOT/conf/java.policy \
    -Djava.endorsed.dirs=$JONAS_ROOT/lib/endorsed
"

# ---------------------------------------------
# Run java command
# ---------------------------------------------
BOOT=org.objectweb.jonas.server.Bootstrap
$JAVA $JAVA_OPTS $BOOT org.objectweb.carol.jndi.ns.NameServiceManager "$@"

