/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2009 France Telecom R&D
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.jndi.checker.impl;

import org.objectweb.jonas.jndi.checker.IResourceCheckerInfo;
import org.objectweb.jonas.jndi.checker.ResourceCheckpoints;

/**
 * The UnknownResourceCheckerInfo is a default IResourceCheckerInfo implementation
 * that could be used by non J2EE managed components.
 *
 * @author Guillaume Sauthier
 */
public class UnknownResourceCheckerInfo implements IResourceCheckerInfo {

    /**
     * Informative message
     */
    private String message;

    /**
     * Creates an info with a message.
     * @param message descriptive message
     */
    public UnknownResourceCheckerInfo(String message) {
        this.message = message;
    }

    /**
     * @return checkpoint of the caller.
     */
    public int getCheckPoint() {
        return ResourceCheckpoints.UNKNOWN;
    }

    /**
     * @return data for identifying the current caller (EJB Name, Servlet Name, etc)
     */
    public String getCallerInfo() {
        return this.message;
    }
}
