<%@ page language="java" contentType="text/html;charset=utf-8" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/sj.tld" prefix="sj" %>

<html:html locale="true">
<%@ include file="../common/begin.jsp" %>

<body class="content">
<sj:titleContent usingWhere="true" tomThumb="true"/>
<sj:tabs usingWhere="true" heightTab="20">
  <sj:tab forward="ActionListContainers"><bean:message key="tab.ejbcontainers"/></sj:tab>
  <sj:tab forward="ActionViewContainer"><bean:write name="containerForm" property="filename"/></sj:tab>
  <sj:tab forward="ActionEditContainerStatistic"><bean:message key="tab.container.statistic"/></sj:tab>
  <sj:tab forward="ActionViewContainerEjbs"><bean:message key="tab.container.ejbs"/></sj:tab>
  <sj:tab forward="Ejb Message" selected="true"><bean:write name="ejbForm" property="name"/></sj:tab>
  <logic:equal name="ejbForm" property="dependency" value="true">
    <sj:tab forward="Ejb Dependency"><bean:message key="tab.ejb.dependency"/></sj:tab>
  </logic:equal>
  <sj:panel>
    <sj:jonasgrid>
      <sj:jgRowTitle>
        <sj:jgColTitle><bean:write name="ejbForm" property="type"/></sj:jgColTitle>
      </sj:jgRowTitle>
    </sj:jonasgrid>
    <sj:jonasgrid>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejb.name"/></sj:jgName>
        <sj:jgValue><bean:write name="ejbForm" property="name"/></sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejb.file"/></sj:jgName>
        <sj:jgValue><bean:write name="ejbForm" property="file"/></sj:jgValue>
      </sj:gridrow>
    </sj:jonasgrid>

    <sj:panelSeparator/>

    <sj:jonasgrid>
      <sj:jgRowTitle level="2">
        <sj:jgColTitle><bean:message key="title.ejb.naming"/></sj:jgColTitle>
      </sj:jgRowTitle>
    </sj:jonasgrid>
    <sj:jonasgrid>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejb.naming.class"/></sj:jgName>
        <sj:jgValue><bean:write name="ejbForm" property="ejbClass"/></sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejb.naming.jndiName"/></sj:jgName>
        <sj:jgValue><bean:write name="ejbForm" property="jndiName"/></sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejb.naming.homeClass"/></sj:jgName>
        <sj:jgValue><bean:write name="ejbForm" property="homeClass"/></sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejb.naming.remoteClass"/></sj:jgName>
        <sj:jgValue><bean:write name="ejbForm" property="remoteClass"/></sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejb.naming.localHomeClass"/></sj:jgName>
        <sj:jgValue><bean:write name="ejbForm" property="localHomeClass"/></sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejb.naming.localClass"/></sj:jgName>
        <sj:jgValue><bean:write name="ejbForm" property="localClass"/></sj:jgValue>
      </sj:gridrow>
    </sj:jonasgrid>

    <sj:panelSeparator/>

    <sj:jonasgrid>
      <sj:jgRowTitle level="2">
        <sj:jgColTitle><bean:message key="title.ejb.type.message"/></sj:jgColTitle>
      </sj:jgRowTitle>
    </sj:jonasgrid>
    <sj:jonasgrid>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejb.type.message.mdbJMSAssociateDestinationName"/></sj:jgName>
        <sj:gridcol><bean:write name="ejbForm" property="mdbJMSAssociateDestinationName"/></sj:gridcol>
        <sj:gridcol width="60%"><bean:message key="comment.ejb.type.message.mdbJMSAssociateDestinationName"/></sj:gridcol>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejb.type.message.minPoolSize"/></sj:jgName>
        <sj:gridcol><bean:write name="ejbForm" property="minPoolSize"/></sj:gridcol>
        <sj:gridcol width="60%"><bean:message key="comment.ejb.type.entity.minPoolSize"/></sj:gridcol>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejb.type.message.maxCacheSize"/></sj:jgName>
        <sj:gridcol><bean:write name="ejbForm" property="maxCacheSize"/></sj:gridcol>
        <sj:gridcol width="60%"><bean:message key="comment.ejb.type.entity.maxCacheSize"/></sj:gridcol>
      </sj:gridrow>
    </sj:jonasgrid>

    <sj:panelSeparator/>

    <sj:jonasgrid>
      <sj:jgRowTitle level="2">
        <sj:jgColTitle><bean:message key="title.ejb.memory"/></sj:jgColTitle>
      </sj:jgRowTitle>
    </sj:jonasgrid>
    <sj:jonasgrid>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejb.memory.poolSize"/></sj:jgName>
        <sj:gridcol><bean:write name="ejbForm" property="poolSize"/></sj:gridcol>
        <sj:gridcol width="60%"><bean:message key="comment.ejb.memory.poolSize"/></sj:gridcol>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejb.memory.cacheSize"/></sj:jgName>
        <sj:gridcol><bean:write name="ejbForm" property="cacheSize"/></sj:gridcol>
        <sj:gridcol width="60%"><bean:message key="comment.ejb.memory.cacheSize"/></sj:gridcol>
      </sj:gridrow>
    </sj:jonasgrid>

  </sj:panel>
</sj:tabs>

<%@ include file="../common/end.jsp" %>
</body>
</html:html>

