/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.jtests.tables;

import java.rmi.RemoteException;
import java.sql.Connection;
import java.sql.Statement;
import javax.naming.NamingException;
import javax.sql.DataSource;

public class Tsequence {

    static DataSource dataSource = null;

    /**
     * Entry point
     */
    public static void init() throws NamingException, RemoteException {
	  
	// Get DataSource
	dataSource = DBEnvSL.getDataSource("jdbc_1");
	
	// create tables
	createTable("jt2_Sequence");
    }

    /**
     * create a table
     */
    private static void createTable(String name) throws RemoteException {

	// get connection
	Connection conn = null;
	try {
	    conn = dataSource.getConnection();
	} catch(Exception e) {
	    throw new RemoteException("Cannot get Connection");
	}
	
	Statement stmt;
	try {
	    stmt = conn.createStatement();
	    stmt.execute("DROP TABLE "+name);
	    stmt.close();
	} catch(Exception e) {
	}
	try {
	    stmt = conn.createStatement();
	    stmt.execute("create table " + name + 
			 "(id_ varchar(50) not null primary key, nextnumber_ integer)");
        stmt.execute("insert into " + name + " values('ws1', 900)");
        stmt.execute("insert into " + name + " values('workorder', 1000)");
        stmt.execute("insert into " + name + " values('ws3', 200)");
	    stmt.close();
	    conn.close();		// release connection
	} catch(Exception e) {
	    System.err.println("Exception in createTable : "+e);
	    throw new RemoteException("Exception in createTable : "+e);
	}
    }

}

